## org.apache.poi.ss.formula.functions
Class Sumifs

    java.lang.Object
      org.apache.poi.ss.formula.functions.Sumifs

All Implemented Interfaces:
  FreeRefFunction

    public final class Sumifs

extends java.lang.Object
implements FreeRefFunction

Implementation for the Excel function SUMIFS

Syntax :
SUMIFS ( sum_range, criteria_range1, criteria1, [criteria_range2, criteria2], ...)

- sum_range Required. One or more cells to sum, including numbers or names, ranges, or cell references that contain numbers. Blank and text values are ignored.
- criteria1_range Required. The first range in which to evaluate the associated criteria.
- criteria1 Required. The criteria in the form of a number, expression, cell reference, or text that define which cells in the criteria_range1 argument will be added
- criteria_range2, criteria2, ... Optional. Additional ranges and their associated criteria. Up to 127 range/criteria pairs are allowed.

Author:
  Yegor Kozlov

Field Summary
`static FreeRefFunction` `instance`

Constructor Summary
`Sumifs()`

Method Summary
`ValueEval` `evaluate(ValueEval[] args, OperationEvaluationContext ec)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### instance

    public static final FreeRefFunction instance

Constructor Detail

### Sumifs

    public Sumifs()

Method Detail

### evaluate

    public ValueEval evaluate(ValueEval[] args,
                              OperationEvaluationContext ec)

  Specified by:
    `evaluate` in interface `FreeRefFunction`
  Parameters:
    `args` - the pre-evaluated arguments for this function. args is never `null`, nor are any of its elements.
    `ec` - primarily used to identify the source cell containing the formula being evaluated. may also be used to dynamically create reference evals.
  Returns:
    never `null`. Possibly an instance of `ErrorEval` in the case of a specified Excel error (Exceptions are never thrown to represent Excel errors).

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.